# Engine properties

## $timezoneId

The system's timezone. The same as timezoneName, but the matching id on the cherrycake timezones database table.

**Default:** `532` (The `Etc/UTC` timezone id in the `cherrycake_location_timezones` table)

## $timezoneName

The system's timezone. All modules, including Database for date/time retrievals/saves will be made taking this timezone into account. The server is expected to run on this timezone. Standard "`Etc/UTC`" is recommended.

**Default:** `Etc/UTC`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://cherrycake.tin.cat/reference/core-classes/engine/engine-properties.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
